from si_tests.deployments.utils import wait_utils, commons, kubectl_utils
from si_tests.deployments.utils.namespace import NAMESPACE


def deploy_helmbundle_controller(os_manager, timeout):
    kubectl = kubectl_utils.Kubectl()

    commons.LOG.info("Create the namespace")
    kubectl.apply("release/01-namespaces.yaml")

    commons.LOG.info("Create a Kopf peering object")
    kubectl.apply("release/03-kopfpeerings.yaml")

    commons.LOG.info("Deploy the HelmBundle Controller")
    kubectl.apply("release/02-helmbundle-crd.yaml")
    kubectl.apply("release/30-helm-controller.yaml")

    commons.LOG.info("Wait till helm-controller starts")
    wait = wait_utils.Waiter(os_manager, timeout, NAMESPACE.osh)
    wait.statefulset("helm-controller")

    commons.LOG.info("Helmbundle controller successfully deployed")
